--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Inject code that executes after the target class method.
- !ruby/struct:SM::Flow::P 
  body: "@param target_method&lt;Symbol&gt; the name of the class method to inject after @param method_sym&lt;Symbol&gt; the name of the method to run after the target_method @param block&lt;Block&gt; the code to run after the target_method"
- !ruby/struct:SM::Flow::P 
  body: "@note"
- !ruby/struct:SM::Flow::VERB 
  body: "  Either method_sym or block is required.\n"
- !ruby/struct:SM::Flow::P 
  body: "- @api public"
full_name: Extlib::Hook::ClassMethods#after_class_method
is_singleton: false
name: after_class_method
params: (target_method, method_sym = nil, &block)
visibility: public
